"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7f3a0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7f430>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7f4c0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7f550>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7f5e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7f670>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7f700>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7f790>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7f820>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7f8b0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7f940>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7f9d0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7fa60>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7faf0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7fb80>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7fc10>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7fca0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7fd30>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7fdc0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7fe50>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7fee0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f7ff70>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86040>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f860d0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f861f0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86160>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86280>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86310>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f863a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86430>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f864c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86550>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f865e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86670>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86700>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86790>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86820>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f868b0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86940>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f869d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86a60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86af0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86b80>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86c10>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86ca0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86d30>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86dc0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86e50>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86ee0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f86f70>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a040>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a0d0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a160>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a1f0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a280>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a310>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a3a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a430>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a4c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a550>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a5e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a670>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a700>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a790>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a820>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a9d0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8a8b0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8aa60>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8aaf0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8ab80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8ac10>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8aca0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8adc0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8ad30>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8ae50>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8aee0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8af70>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8c0d0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8c040>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8c160>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8c1f0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8c280>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8c310>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8c3a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f79f8f8c430>)]
name: str = 'fr_HOCCN'
